## org.freedesktop.Gypsy.Device

org.freedesktop.Gypsy.Device — Device interface

## Methods

    Start               ()
    Stop                ()
    GetFixStatus        (out 'i'fixtype)
    GetConnectionStatus (out 'b'connected)

## Signals

    FixStatusChanged        ('i'fixtype)
    ConnectionStatusChanged ('b'connected)

## Implemented Interfaces

org.freedesktop.Gypsy.Device implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Properties

## Description

## Details

### Start ()

    Start ()

### Stop ()

    Stop ()

### GetFixStatus ()

    GetFixStatus (out 'i' fixtype)

`fixtype`: |

### GetConnectionStatus ()

    GetConnectionStatus (out 'b' connected)

`connected`: |

## Signal Details

### The FixStatusChanged signal

    FixStatusChanged ('i' fixtype)

`fixtype`: |

### The ConnectionStatusChanged signal

    ConnectionStatusChanged ('b' connected)

`connected`: |

## Property Details